2

I recently upgraded my Claws-Mail software to 3.16 (64-bit). I now find that it no longer has an HTML plugin (Fancy, Dillo, etc). Does anyone know of a plugin to display the HTML in email in Claws-Mail?

  • Have you tried to reinstall the plugins? Because the latest version of Dillo is released on 22 December 2018, 3.17.3. – JonLord Dec 31 '18 at 23:42
  • Thanks! But the copy of Claws-Mail I have doesn't include it. I am using Ubuntu 18.04. All I have is the browser as a separate download. Know where I can download it w/o downloading the whole software? – Lee Jan 1 at 1:28
  • Apparently the plugins listed in official Claws-mail site are already included with the installer. So maybe you can try to re-install Claws-Mail. I found in the ubuntu packages the dillo plugin packages.ubuntu.com/… but I'm not sure what is your distro. You can try to download the tar file and extract the plugin: claws-mail.org/download.php?file=releases/… – JonLord Jan 1 at 2:53
  • Thanks. The download is for Claws-Mail v3.17.2-1 and I have v16 - the latest for Ubuntu 18.04. Would it be a problem if I upgraded to Claws-Mail with vClaws-Mail v3.17.2-1? UI just don't want to mess-up my new system installation. – Lee Jan 2 at 19:09
  • 1
    Any news concerning this issue? – phx Feb 19 at 8:44
1

I was able to get claws mail 3.17 to display html on ubuntu 18.04.

You would first need the dillo browser to help render the html:

sudo apt install dillo

If you have an older version of claws, it must be uninstalled (the version in the ubuntu 18.04 repo was 3.16):

sudo apt remove claws-mail

your config and mail is preserved

download the latest edition of the claws mail and the html plugin from here:
claws-mail 3.17
dillo viewer

then install them:

sudo dpkg -i *.deb

after installation load the html plugin: Claws mail > configuration > plugins > load > Select "dillo.so"

after this you should be able to view html email. Opening images is disabled. to enable it go to Claws mail > configuration > preferences > plugins > dillo > and check "load remote links in mail"

if email is still being shown in plain text choose the email button on the right side of the mail email window

  • I have installed the Dillo plugin. After removing CM 16 I tried to load CM 17 but got the error that it needed libetpan20 >1.9.2. I only have 1.8.0.1 available through the Synaptic Pkg Manager. A search shows nothing. How did you get it? – Lee Mar 31 at 2:27

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.